%define name	bibtex2html
%define version	1.65
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A Tool for translating from BibTeX to HTML
Group:		Publishing
License:	GPL
URL:		http://www.lri.fr/~filliatr/bibtex2html
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	ocaml
BuildRequires:	hevea
BuildRequires:	tetex-latex
BuildRequires:	tetex-dvips
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
bibtex2html is a collection of tools for translating from BibTeX to
HTML. They allow to produce, from a set of bibliography files in BibTeX
format, a bibliography in HTML format. Here are some features: 
- Handle any BibTeX style (even those producing multiple bibliographies); 
- Use additional fields like abstract, url, ps, etc. to insert web links; 
- Crossrefs are also replaced by links; 
- Sort by dates or authors, in increasing or decreasing order; 
- Read simple macros in TeX or LaTeX files; 
- Show syntax errors in BibTeX files; 
- Extract from one or several BibTeX files the set of entries satisfying
  a given criterion. 

%prep
rm -rf $RPM_BUILD_ROOT
%setup 

%build
%configure
%make
%make doc

%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 aux2bib bib2bib bibtex2html $RPM_BUILD_ROOT%{_bindir}
install -m 644 aux2bib.1 bib2bib.1 bibtex2html.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING GPL README manual.ps manual.html
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Dec 12 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.65-1mdk
- new version

* Thu Jun 26 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.60-1mdk
- 1.60

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.57-1mdk
- 1.57
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>)

* Tue Jan 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.56-1mdk
- 1.16

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.52-2mdk
- rebuild

* Wed Feb 27 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.52-1mdk
- first mdk release
